Skip to main content
`Ctrl`+`K`

# DMGetPeriodicity

Get the description of mesh periodicity

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetPeriodicity(DM dm, const PetscReal **maxCell, const PetscReal **Lstart, const PetscReal **L)

## Input Parameter

- dm - The `DM` object

## Output Parameters

- maxCell - Over distances greater than this, we can assume a point has crossed over to another sheet, when trying to localize cell coordinates

- Lstart - If we assume the mesh is a torus, this is the start of each coordinate, or `NULL` for 0.0

- L - If we assume the mesh is a torus, this is the length of each coordinate, otherwise it is < 0.0

## See Also

`DM`

## Level

developer

## Location

src/dm/interface/dmperiodicity.c

## Examples

src/snes/tutorials/ex12.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages